# Created by pyp2rpm-3.3.5
%global pypi_name xarray-einstats
%bcond_with tests

Name:           python-%{pypi_name}
Version:        0.5.1
Release:        %mkrel 3
Summary:        Stats, linear algebra and einops for xarray
Group:          Development/Python
License:        Apache-2.0
URL:            https://github.com/arviz-devs/xarray-einstats
Source0:        https://files.pythonhosted.org/packages/source/x/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  python3-devel

%if %{with tests}
# for tests
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(numpy)
BuildRequires:  python3dist(xarray)
# we don't have it
BuildRequires:  python3dist(numba)
%endif

%description
Stats, linear algebra and einops for xarray.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Stats, linear algebra and einops for xarray.

%package -n python-%{pypi_name}-doc
Summary:        xarray documentation

%description -n python-%{pypi_name}-doc
Documentation for xarray-einstats.

%prep
%autosetup -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires 

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files xarray_einstats


%if %{with tests}
%check
%pytest src/xarray_einstats/tests
%endif

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.md


%changelog
* Mon Mar 03 2025 wally <wally> 0.5.1-3.mga10
+ Revision: 2160211
- rebuild for python3.13

* Mon Mar 03 2025 daviddavid <daviddavid> 0.5.1-2.mga10
+ Revision: 2159796
- rebuild for python 3.13

* Sat Jan 20 2024 papoteur <papoteur> 0.5.1-1.mga10
+ Revision: 2032262
- new version 0.5.1

* Sat Dec 03 2022 papoteur <papoteur> 0.3.0-1.mga9
+ Revision: 1916058
- imported package python-xarray-einstats

